Runtime

## org.eclipse.gmf.runtime.common.ui.util
Interface IPartSelector

public interface IPartSelector

Interface implemented by objects that know how to match an `IWorkbenchPart` against themselves.

This interface should not be implemented by clients.

Method Summary
`boolean` `selects(IWorkbenchPart part)` Answers whether or not I select a given workbench `part`.

Method Detail

### selects

    public boolean selects(IWorkbenchPart part)

  Answers whether or not I select a given workbench `part`.

  Parameters:
    `part` - the workbench part to be tested
  Returns:
    `true` if the part matches my criteria, `false` otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.